variables<- {bnstruct} | R Documentation

## set variables of an object.

### Description

Set the list of variable names in a `BN` or `BNDataset` object.

### Usage

    variables(x) <- value

    ## S4 replacement method for signature 'BN'
    variables(x) <- value

    ## S4 replacement method for signature 'BNDataset'
    variables(x) <- value

### Arguments

`x` | an object.
`value` | vector containing the variable names of the object. Overwrites `num.nodes` slot if non-matching.

[Package bnstruct version 1.0.6 Index]